Bug 864050 - Cinnamon panel fonts are very small
Cinnamon panel fonts are very small
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: cinnamon (Show other bugs)
17
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: leigh scott
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-08 08:53 EDT by Massimiliano
Modified: 2012-10-30 05:08 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-30 05:08:12 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to default theme (1.29 KB, patch)
2012-10-08 08:53 EDT, Massimiliano
no flags Details | Diff
Font size adjustment in default css. (2.44 KB, patch)
2012-10-11 09:57 EDT, Massimiliano
no flags Details | Diff

  None (edit)
Description Massimiliano 2012-10-08 08:53:34 EDT
Created attachment 623446 [details]
patch to default theme

Description of problem:
After latest update the panel fonts have become noticeably smaller. I'm not using the cantarell font as defalut font, but liberation-sans instead.

Version-Release number of selected component (if applicable):
$ rpm -q cinnamon
cinnamon-1.6.1-1.fc17.x86_64

How reproducible:
Always.

Steps to Reproduce:
1. See panel button labels
2. See panel button hints
3. See calendar applet (days)
  
Actual results:
Fonts are very small.

Expected results:
Fonts are readable, not too small.


Additional info:
I've created a custom theme by copying the default one and I've modified it. Attached patch solves my problem. Maybe font sizes are related closely to cantarell fonts?
Comment 1 Fedora Update System 2012-10-09 10:28:34 EDT
nemo-1.0.3-2.fc18,nemo-open-terminal-1.0.0-1.fc18,cinnamon-1.6.1-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/nemo-1.0.3-2.fc18,nemo-open-terminal-1.0.0-1.fc18,cinnamon-1.6.1-2.fc18
Comment 2 Fedora Update System 2012-10-09 10:30:30 EDT
cinnamon-1.6.1-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/cinnamon-1.6.1-2.fc17
Comment 3 Fedora Update System 2012-10-09 13:18:31 EDT
Package nemo-1.0.3-2.fc18, nemo-open-terminal-1.0.0-1.fc18, cinnamon-1.6.1-2.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing nemo-1.0.3-2.fc18 nemo-open-terminal-1.0.0-1.fc18 cinnamon-1.6.1-2.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-15692/nemo-1.0.3-2.fc18,nemo-open-terminal-1.0.0-1.fc18,cinnamon-1.6.1-2.fc18
then log in and leave karma (feedback).
Comment 4 Massimiliano 2012-10-10 07:23:34 EDT
During test of cinnamon-1.6.1-2.fc17.x86_64 I notice that other fonts could be adjusted for better reading (like ALT+F2 dialog). Could this patch be submitted in this bug? Or maybe a new bug must be open.
Comment 5 leigh scott 2012-10-10 19:28:20 EDT
(In reply to comment #4)
> During test of cinnamon-1.6.1-2.fc17.x86_64 I notice that other fonts could
> be adjusted for better reading (like ALT+F2 dialog). Could this patch be
> submitted in this bug? Or maybe a new bug must be open.

Thank you for the first patch, feel free to attach the other patch to this report.
Comment 6 Massimiliano 2012-10-11 09:57:34 EDT
Created attachment 625546 [details]
Font size adjustment in default css.

New patch proposed, replaces previous one.
Comment 7 Massimiliano 2012-10-22 08:16:53 EDT
I see that after latest update (cinnamon-1.6.1-2.fc17.x86_64) the font size is better. Do you still need a karma?
Comment 8 Dan Mashal 2012-10-30 05:08:12 EDT
Bug should be closed. Fix is confirmed and update is pushed to stable. Bodhi isn't closing bugs properly atm.

Note You need to log in before you can comment on or make changes to this bug.